<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Unit Conversion and Dimensional Analysis Library: units::area Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Unit Conversion and Dimensional Analysis Library
   &#160;<span id="projectnumber">2.3.0</span>
   </div>
   <div id="projectbrief">A compile-time c++14 unit conversion library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceunits.html">units</a></li><li class="navelem"><a class="el" href="namespaceunits_1_1area.html">area</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">units::area Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>namespace for unit types and containers representing area values  
<a href="namespaceunits_1_1area.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a9d1447e3e0a5f0aa258bf5199cf8096b"><td class="memItemLeft" align="right" valign="top"><a id="a9d1447e3e0a5f0aa258bf5199cf8096b"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">square_meter_t</a> &amp;obj)</td></tr>
<tr class="separator:a9d1447e3e0a5f0aa258bf5199cf8096b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f7f7edfb04ce5193724d3dfeda453f5"><td class="memItemLeft" align="right" valign="top"><a id="a8f7f7edfb04ce5193724d3dfeda453f5"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">square_meter_t</a> &amp;obj)</td></tr>
<tr class="separator:a8f7f7edfb04ce5193724d3dfeda453f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad95f9b244f6b3347d7713d4d1f005abf"><td class="memItemLeft" align="right" valign="top"><a id="ad95f9b244f6b3347d7713d4d1f005abf"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">square_foot_t</a> &amp;obj)</td></tr>
<tr class="separator:ad95f9b244f6b3347d7713d4d1f005abf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24e2bc9944f4a7e51b3cbfef15acca71"><td class="memItemLeft" align="right" valign="top"><a id="a24e2bc9944f4a7e51b3cbfef15acca71"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">square_foot_t</a> &amp;obj)</td></tr>
<tr class="separator:a24e2bc9944f4a7e51b3cbfef15acca71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5aa647ea664f4ab9306e5c456e14c7cb"><td class="memItemLeft" align="right" valign="top"><a id="a5aa647ea664f4ab9306e5c456e14c7cb"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">square_inch_t</a> &amp;obj)</td></tr>
<tr class="separator:a5aa647ea664f4ab9306e5c456e14c7cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74cdba4b165605bfbf5d144cb622214f"><td class="memItemLeft" align="right" valign="top"><a id="a74cdba4b165605bfbf5d144cb622214f"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">square_inch_t</a> &amp;obj)</td></tr>
<tr class="separator:a74cdba4b165605bfbf5d144cb622214f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92faf1a16dfe16f7a3542383aa614194"><td class="memItemLeft" align="right" valign="top"><a id="a92faf1a16dfe16f7a3542383aa614194"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">square_mile_t</a> &amp;obj)</td></tr>
<tr class="separator:a92faf1a16dfe16f7a3542383aa614194"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3466cde6bfe0ae48afff92f95206d213"><td class="memItemLeft" align="right" valign="top"><a id="a3466cde6bfe0ae48afff92f95206d213"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">square_mile_t</a> &amp;obj)</td></tr>
<tr class="separator:a3466cde6bfe0ae48afff92f95206d213"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32b711a1515d642038124088925beb37"><td class="memItemLeft" align="right" valign="top"><a id="a32b711a1515d642038124088925beb37"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">square_kilometer_t</a> &amp;obj)</td></tr>
<tr class="separator:a32b711a1515d642038124088925beb37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9556df891eaa687160cafc572ef6663"><td class="memItemLeft" align="right" valign="top"><a id="ad9556df891eaa687160cafc572ef6663"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">square_kilometer_t</a> &amp;obj)</td></tr>
<tr class="separator:ad9556df891eaa687160cafc572ef6663"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f246232907a7092415f8e6c36af2e0b"><td class="memItemLeft" align="right" valign="top"><a id="a7f246232907a7092415f8e6c36af2e0b"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">hectare_t</a> &amp;obj)</td></tr>
<tr class="separator:a7f246232907a7092415f8e6c36af2e0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23145b3f5de8ccd08f0ae14535163103"><td class="memItemLeft" align="right" valign="top"><a id="a23145b3f5de8ccd08f0ae14535163103"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">hectare_t</a> &amp;obj)</td></tr>
<tr class="separator:a23145b3f5de8ccd08f0ae14535163103"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a786ea8c63358f5249ecb167f1b616539"><td class="memItemLeft" align="right" valign="top"><a id="a786ea8c63358f5249ecb167f1b616539"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">acre_t</a> &amp;obj)</td></tr>
<tr class="separator:a786ea8c63358f5249ecb167f1b616539"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9dc1a737317df6ffd29a0df4f2b5237"><td class="memItemLeft" align="right" valign="top"><a id="ae9dc1a737317df6ffd29a0df4f2b5237"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">acre_t</a> &amp;obj)</td></tr>
<tr class="separator:ae9dc1a737317df6ffd29a0df4f2b5237"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>namespace for unit types and containers representing area values </p>
<p>The SI unit for area is <code>square_meters</code>, and the corresponding <code><a class="el" href="structunits_1_1base__unit.html" title="Class representing SI base unit types.">base_unit</a></code> category is <code>area_unit</code>. <a class="anchor" id="areaContainers"></a></p><dl class="section see"><dt>See also</dt><dd>See <a class="el" href="classunits_1_1unit__t.html" title="Container for values which represent quantities of a given unit.">unit_t</a> for more information on <a class="el" href="structunits_1_1unit.html" title="Type representing an arbitrary unit.">unit</a> type containers. </dd></dl>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Oct 3 2020 11:16:54 for Unit Conversion and Dimensional Analysis Library by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
